Bug 75040 - LO 4.2 Help is in a Serif font
Summary: LO 4.2 Help is in a Serif font
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-15 23:41 UTC by Pedro
Modified: 2014-03-27 15:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Image showing the current look of the installed Help file (42.89 KB, image/png)
2014-02-15 23:43 UTC, Pedro
Details
Image showing the same page of the help file under LO 4.1 (42.26 KB, image/png)
2014-02-16 22:09 UTC, Pedro
Details
LibreOffice 4.2's French help on Ubuntu 12.04 without ttf-mscorefonts (106.56 KB, image/png)
2014-02-19 10:24 UTC, vulcain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro 2014-02-15 23:41:08 UTC
The Help file installed for version 4.2 under Windows XP Pro x86 SP3 shows up in a Serif font (Times New Roman or equivalente) instead of the usual Sans Serif font. This seems to be some lost of formating (some forgotten CSS files?)
Comment 1 Pedro 2014-02-15 23:43:36 UTC
Created attachment 94141 [details]
Image showing the current look of the installed Help file
Comment 2 Pedro 2014-02-16 22:09:43 UTC
Created attachment 94180 [details]
Image showing the same page of the help file under LO 4.1

This is the expected look for the help file under Windows XP
Comment 3 Stefan Knorr (astron) 2014-02-17 12:27:08 UTC
The font in the first screenshot looks like Albany (although it would be somewhat interesting why you have this font installed at all -- did you ever install a version of StarOffice, maybe?).
The font in the second screenshot looks like Liberation Serif.

I would guess someone deliberately updated the stylesheet to not include the proprietary AGFA fonts (like Albany) anymore, since the last time they were shipped was with StarOffice.

Can we switch to Open Sans (which we should already ship everywhere) instead, for a cleaner, more modern, more screen-optimised look?
Comment 4 Pedro 2014-02-17 12:45:08 UTC
(In reply to comment #3)
> The font in the first screenshot looks like Albany (although it would be
> somewhat interesting why you have this font installed at all -- did you ever
> install a version of StarOffice, maybe?).

I do have "Albany AMT" but it's a Sans Serif font (I have no idea which program installed it). You must be referring to some other Albany font which is Serif?

The point here is that there seems to be some CSS instructions missing...
Comment 5 vulcain 2014-02-19 10:24:32 UTC
Created attachment 94335 [details]
LibreOffice 4.2's French help on Ubuntu 12.04 without ttf-mscorefonts

For information, if it's could help you.
On Ubuntu 12.04.4 x86_64 LibreOffice 4.2.1.1 Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b, i have a similar font like first attachment (if my eyes are good)
I have not install ttf-mscorefonts who give Arial, Courier New, Times New Roman, Verdana, ...

I am not expert, but it's a good idea for multi-OS interoperability that LibreOffice use its fonts (installed with LibreOffice) and not the font's OS who are different between Mac OS and Windows (and Linux of course).
Comment 6 Andras Timar 2014-03-14 20:38:41 UTC
I started to work on this.
Comment 7 Andras Timar 2014-03-14 21:59:00 UTC
73e3aafa990168aa532fa7b81fc4de8f455b10e1 completely ruined help, all pages lost their structure.
with 277922e7a0a4ae8076c10936c4b12df6dcc5ddac it became somewhat useable, this is where we are now.
I add Tomaz and Thomas to cc. If you have some ideas over the week-end, please share. :)
Comment 8 Commit Notification 2014-03-15 17:57:26 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e3969cb8bb235fed483ce49ddee5ea731376893

fdo#75040 fix application of help's stylesheet



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Andras Timar 2014-03-15 18:09:47 UTC
I found the bug and fixed it. Waiting for review for 4-2 and 4-2-3 on gerrit.
Comment 10 Commit Notification 2014-03-15 19:17:05 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ca1e73d7e91f35cede3d3e6220f9b86dcd55e427&h=libreoffice-4-2

fdo#75040 fix application of help's stylesheet


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2014-03-17 09:37:11 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-2-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9acee2fe2e7308ea7243b91b630dafbfc2574b7&h=libreoffice-4-2-3

fdo#75040 fix application of help's stylesheet


It will be available already in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Pedro 2014-03-27 15:21:55 UTC
Bug fixed in 4.2.3.2. Well done, Andras ;)